#!/usr/bin/env python3

import sys
import isce
from isceobj.InsarProc.createDem import createDem
from iscesys.DataManager import createManager

class INSAR:
    def __init__(self, snwe):
        # flag to control continuation of processing in the case that
        # a dem is not available or cannot be downloaded. Obviously,
        # this should be False for this application
        self.proceedIfZeroDem = False

class SELF:
    def __init__(me, snwe, hiresonly=False):
        me.geocode_bbox = snwe
        me.insar = INSAR(snwe)
        me.demStitcher = createManager('dem1', 'iscestitcher')
        # True indicates, to only download from high res server.
        # False indicates, download high res dem if available,
        # otherwise download from the low res server.
        me.useHighResolutionDemOnly = hiresonly

class INFO:
    def __init__(self, snwe):
        self.extremes = snwe
    def getExtremes(self, x):
        return self.extremes

if __name__=="__main__":
    if len(sys.argv) < 5:
        print("Usage: demdb.py s n w e [h]")
        print("where s, n, w, e are latitude, longitude bounds in degrees")
        print("The optional 'h' flag indicates to only download a high res dem,"+
              "if available.\n"
              "If 'h' is not on the command line, then a low res dem will be "+
              "downloaded,\nif the hi res is not available.")

        sys.exit(0)

    snwe = list(map(float,sys.argv[1:5]))
    print("snwe = ", snwe)
    if 'h' in sys.argv:
        print("set hiresonly to True")
        hiresonly = True
    else:
        hiresonly = False

    self = SELF(snwe, hiresonly)
    info = INFO(snwe)
    createDem(self,info)
