#!usr/bin/env python

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2013, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Piyush Agram
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



from __future__ import print_function
import sys
import numpy as np
from iscesys.Component.Component import Component, Port

class DefaultDopp(Component):
   
    def calculateDoppler(self):
        print('Using default doppler values for sensor: %s'%(self._sensor.__class__.__name__))
        self.activateInputPorts()
        pass

    def fitDoppler(self):
        pass

    def addSensor(self):
        sensor = self._inputPorts.getPort('sensor').getObject()
        self._sensor =  sensor
        if (sensor):
            self.quadratic = sensor.extractDoppler()  #insarapp
            self.coeff_list = sensor.frame._dopplerVsPixel #roiApp
            self.prf = sensor.frame.getInstrument().getPulseRepetitionFrequency()

    logging_name = 'DefaultDopp'

    def __init__(self):
        super(DefaultDopp, self).__init__()
        self._sensor = None
        self.quadratic = {}
        self.coeff_list = None
        self.prf = None
        return None

    def createPorts(self):
        sensorPort = Port(name='sensor',method=self.addSensor)
        self._inputPorts.add(sensorPort)
        return None


if __name__ == '__main__':
    pass
