#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Authors: Giangi Sacco, Maxim Neumann
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



import logging
import isceobj

from isceobj.Location.Offset import OffsetField,Offset

logger = logging.getLogger('isce.isce.runRgoffset')

def runRgoffset(self):

    # dummy zero-valued offset field
    for pair in self._isce.pairsToCoreg:
        offField = OffsetField()
        for i in range(200):
            offField.addOffset(Offset(10+i,10+i,0,0,10,1,1,0))

        # save the input offset field for the record
        self._isce.offsetFields[pair] = offField
        self._isce.refinedOffsetFields[pair] = offField
