//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#ifndef readOrbitPulsemodule_h
#define readOrbitPulsemodule_h

#include <Python.h>
#include <stdint.h>
#include "readOrbitPulsemoduleFortTrans.h"

extern "C"
{
        void readOrbitPulse_f(uint64_t *,uint64_t *,uint64_t *);
        PyObject * readOrbitPulse_C(PyObject *, PyObject *);
        void setNumberBitesPerLine_f(int *);
        PyObject * setNumberBitesPerLine_C(PyObject *, PyObject *);
        void setNumberLines_f(int *);
        PyObject * setNumberLines_C(PyObject *, PyObject *);

}

static PyMethodDef readOrbitPulse_methods[] =
{
        {"readOrbitPulse_Py", readOrbitPulse_C, METH_VARARGS, " "},
        {"setNumberBitesPerLine_Py", setNumberBitesPerLine_C, METH_VARARGS, " "},
        {"setNumberLines_Py", setNumberLines_C, METH_VARARGS, " "},
        {NULL, NULL, 0, NULL}
};
#endif //readOrbitPulsemodule_h
