!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        module denseoffsetsRead
            implicit none

            contains
                subroutine readCpxAmp(acc,arr,irow,band,n,carr)
                    complex, dimension(:) :: carr
                    real, dimension(:)  :: arr
                    integer*8 :: acc
                    integer :: irow,band,n,i

                    call getLineBand(acc,carr,band,irow)
                end subroutine readCpxAmp

                subroutine readAmp(acc,arr,irow,band,n,carr)
                    complex, dimension(:) :: carr
                    real, dimension(:) :: arr
                    integer*8 :: acc
                    integer :: irow,band,n
                    integer :: i

                    call getLineBand(acc,arr,band,irow)
                    do i=1,n
                        carr(i) = cmplx(arr(i), 0.0)
                    enddo

                end subroutine

        end module denseoffsetsRead 
