#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Eric Belz
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



"""geo is for doing coordinates on Earth. Here are the modules:


euclid           Scalar, Vector, Tensor objects in E3 -eucliden 3-space.
charts           rotations in E3, aka: charts on SO(3).
affine           rigid affine transformations in E3.
coordinates      Coordinates on Earth
ellipsoid        oblate ellipsoid of revolution (e.g, WGS84) with all the
                 bells and whistles.


  Note: sub-package use __all__, so they are:
  >>>from geo import *
  safe.

  See mainpage.txt for a complete dump of geo's philosophy-- otherwise,
  use the docstrings.
"""
import os
isce_path  = os.getenv("ISCE_HOME")

## \namespace geo  Vector- and Affine-spaces, on Earth
__all__ = ['euclid', 'coordinates', 'ellipsoid', 'charts', 'affine', 'motion']


