//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




#include <Python.h>
#include "testInterpolatormodule.h"
using namespace std;

static const char * const __doc__ = "Python extension for image API data accessors";

PyModuleDef moduledef =
{
// header
    PyModuleDef_HEAD_INIT,
    // name of the module
    "testInterpolator",
    // module documentation string
    __doc__,
    // size of the per-interpreter state of the module;
    // -1 if this state is global
    -1, testInterpolator_methods, };

// initialization function for the module
// *must* be called PyInit_formslc
PyMODINIT_FUNC
PyInit_testInterpolator()
{
  // create the module using moduledef struct defined above
  PyObject * module = PyModule_Create(&moduledef);
  // check whether module creation succeeded and raise an exception if not
  if (!module)
  {
    return module;
  }
  // otherwise, we have an initialized module
  // and return the newly created module
  return module;
}

PyObject *
testInterpolator_C(PyObject* self, PyObject* args)
{
  uint64_t ptPoly2 = 0;
  uint64_t ptPoly1 = 0;

  if (!PyArg_ParseTuple(args, "KK", &ptPoly1, &ptPoly2))
  {
    return NULL;
  }

 testinterpolator_(&ptPoly1, &ptPoly2);

  return Py_BuildValue("i", 0);
}
