#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2013, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Eric Belz
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



"""Date and Time utilites, on top of the datetime standard library.

New Usage:

>>>from iscesys import DateTimeUtil as DTU

replaces former usage:

>>>from iscesys.DateTimeUtil.DateTimeUtil import DateTimeUtil as DTU

Note, both:

javaStyleUtils()   and   pythonic_utils()

are available.
"""
from .DateTimeUtil import timedelta_to_seconds, seconds_since_midnight, date_time_to_decimal_year

## JavaStyleNames for the pythonic_names
timeDeltaToSeconds = timedelta_to_seconds
secondsSinceMidnight =  seconds_since_midnight
dateTimeToDecimalYear = date_time_to_decimal_year
