//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




#ifndef DataAccessormodule_h
#define DataAccessormodule_h
#ifndef MESSAGE
#define MESSAGE cout << "file " << __FILE__ << " line " << __LINE__ << endl;
#endif
#ifndef ERR_MESSAGE
#define ERR_MESSAGE cout << "Error in file " << __FILE__ << " at line " << __LINE__  << " Exiting" <<  endl; exit(1);
#endif
#include <Python.h>

extern "C"
{
  PyObject *
  createPolyAccessor_C(PyObject *, PyObject *);
  PyObject *
  createAccessor_C(PyObject *, PyObject *);
  PyObject *
  finalizeAccessor_C(PyObject *, PyObject *);
  PyObject *
  getFileLength_C(PyObject *, PyObject *);
  PyObject *
  createFile_C(PyObject *, PyObject *);
  PyObject *
  getTypeSize_C(PyObject *, PyObject *);
  PyObject *
  rewind_C(PyObject* self, PyObject* args);
  string getString(PyObject * key);

}

static PyMethodDef DataAccessor_methods[] =
{
{ "createPolyAccessor", createPolyAccessor_C, METH_VARARGS, " " },
{ "createAccessor", createAccessor_C, METH_VARARGS, " " },
{ "finalizeAccessor", finalizeAccessor_C, METH_VARARGS, " " },
{ "getFileLength", getFileLength_C, METH_VARARGS, " " },
{ "createFile", createFile_C, METH_VARARGS, " " },
{ "rewind", rewind_C, METH_VARARGS, " " },
{ "getTypeSize", getTypeSize_C, METH_VARARGS, " " },
{ NULL, NULL, 0, NULL } };
#endif //DataAccessormodule_h
