#!/usr/bin/env python3

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Giangi Sacco
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





from __future__ import print_function
import sys
import os
import math
from iscesys.Component.FactoryInit import FactoryInit
from mroipac.formimage.FormSLC import FormSLC
from iscesys.Compatibility import Compatibility
import getopt
Compatibility.checkPythonVersion()

class DriverFormSLC(FactoryInit):
    
            
        
    
    def main(self):
        #get the initialized objects i.e. the raw and slc image and the FormSLC 
        objSlc = self.getComponent('SlcImage')
        objSlc.createImage()
        objRaw = self.getComponent('RawImage')
        objRaw.createImage()
        objFormSlc = self.getComponent('FormSlc')        
        ####
        objFormSlc.formSLCImage(objRaw,objSlc)
        objSlc.finalizeImage()
        objRaw.finalizeImage()

    def __init__(self,argv):
        FactoryInit.__init__(self)
        #call the init factory passing the init file DriverFormSLC.xml as a argument when calling the script
        self.initFactory(argv[1:])

if __name__ == "__main__":
    runObj = DriverFormSLC(sys.argv)
    runObj.main()
