#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Giangi Sacco
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



def createPulsetiming():
    from .Pulsetiming import Pulsetiming
    return Pulsetiming()

def createSetmocomppath():
    from .Setmocomppath import Setmocomppath
    return Setmocomppath()

def createOrbit2sch(*args, **kwargs):
    from .Orbit2sch import Orbit2sch
    return Orbit2sch(*args, **kwargs)

def createSch2orbit(*args, **kwargs):
    from .Sch2orbit import Sch2orbit
    return Sch2orbit(*args, **kwargs)

def createMocompbaseline(name = ''):
    from .Mocompbaseline import Mocompbaseline
    return Mocompbaseline(name=name)

def createCalculateFdHeights():
        from .orbitLib.CalcSchHeightVel import CalcSchHeightVel as CHV
        return CHV()

def createFdMocomp():
        from .fdmocomp import Fdmocomp
        return Fdmocomp.FdMocomp()

def createGetpeg():
    from .Getpeg import Getpeg
    return Getpeg()

from . import pegManipulator

def getFactoriesInfo():
    """
    Returns a dictionary with information on how to create the objects from their factories
    """
    return  {'Mocompbaseline':
                     {
                     'factory':'createMocompbaseline'
                     }
              }