!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2013, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        module fdmocompState
        ! Inputs
            double precision r001 !< Starting Range [m]
            double precision prf !< Pulse repetition frequency [Hz]
            double precision wavl !< Radar wavelength [m]
            integer nlinesaz !< Number of range bins
            integer nlines !< Number of values in the vsch array
            integer ht1 !< Satellite height [m]
            double precision fs !< Range sampling rate [Hz]
            double precision rcurv !< Radius of curvature [m]
            double precision, allocatable, dimension(:) ::  fdArray !< Cubic polynomial coefficients for the Doppler polynomial as a function of range [%PRF]
            integer dim1_fdArray
            double precision, allocatable, dimension(:,:) ::  vsch!< Velocity components in SCH coordinates
            integer dim1_vsch, dim2_vsch
        ! Output 
            double precision fdnew !< Motion compensated Doppler centroid [%PRF]
            integer ilrl
        end module 
