!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        module crossmulState
        use, intrinsic:: iso_c_binding

            type, bind(C) :: crossmulType
                integer(C_INT) :: na    !c Number across in range
                integer(C_INT) :: nd    !c Number down in azimuth
                real(C_DOUBLE) ::  scale  !c Scaling the numbers numerically
                integer (C_INT):: looksac          !c Looks across
                integer (C_INT):: looksdn          !c Looks down
                integer (C_INT):: blocksize        !c Number of azimuth lines in a block
                real(C_DOUBLE) :: wvl1  !c Master wavelength
                real(C_DOUBLE) :: wvl2  !c Slave wavelength
                real(C_DOUBLE) :: drg1  !c Master slant range spacing
                real(C_DOUBLE) :: drg2  !c Slave slant range spacing
                integer(C_INT) :: flatten  !c Flatten flag
                real(C_DOUBLE) :: wgt  !c Range filter weight
            end type crossmulType
        end module crossmulState
