!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        module mocompTSXState
            use orbitModule
            use geometryModule

            integer stdWriter
            integer nr
            integer naz
            double precision, allocatable, dimension(:) ::  dopplerCentroidCoefficients
            integer dim1_dopplerCentroidCoefficients
            double precision, allocatable, dimension(:) ::  time
            integer dim1_time
            double precision, allocatable, dimension(:,:) ::  sch
            integer dim1_sch, dim2_sch
            double precision rcurv
            double precision vel
            double precision ht
            double precision prf
            double precision fs
            double precision wvl
            double precision r0
            integer dim1_i_mocomp
            integer mocompPositionSize
            integer ilrl
            double precision adjustr0

            type planet_type
              double precision :: r_spindot !< Planet spin rate
              double precision :: r_gm !< Planet GM
            end type planet_type
            type(orbitType) :: orbit  !Input short orbit
            type(orbitType) :: mocompOrbit !Output short orbit
            double precision :: sensingStart !UTC time corresponding to first raw line
            double precision :: slcSensingStart !UTC time corresponding to first slc line
            double precision :: rho_mocomp   !Range used for motion compensation
            type(pegtransType) :: ptm  !For WGS84 to SCH
            type(pegType) :: peg
            type(ellipsoidType) :: elp
            type(planet_type) :: pln

        end module
