!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        module geozeroState
            use poly1dModule
            use orbitModule

            !!Planet description
            double precision majorSemiAxis
            double precision eccentricitySquared

            !!Bounding box input
            double precision min_lat
            double precision min_lon
            double precision max_lat
            double precision max_lon

            !!Range spacing
            double precision drho
            double precision rho0

            !!Radar Geometry
            type(poly1dType) ::  dopAcc
            type(orbitType) :: orbit

            !!Acquisition properties
            double precision wvl
            double precision t0
            double precision prf
            integer length
            integer width
            integer nrnglooks
            integer nazlooks
            integer ilrl

            !!DEM information
            double precision lat_first
            double precision lon_first
            double precision dlat
            double precision dlon
            integer demwidth
            integer demlength
            
            !!Output
            integer geowidth
            integer geolength
            double precision geomin_lat
            double precision geomax_lat
            double precision geomin_lon
            double precision geomax_lon
        end module geozeroState 
