#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2014, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Giangi Sacco
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



def createDemStitcher(type='version3',name = ''):
    if(type == 'version3'):        
        from contrib.demUtils.DemStitcherV3 import DemStitcher
    if(type == 'version2'):
        from contrib.demUtils.DemStitcher import DemStitcher
    return DemStitcher(name=name)
def createSWBDStitcher(name = ''):
    from contrib.demUtils.SWBDStitcher import SWBDStitcher
    return SWBDStitcher(name=name)

def createCorrect_geoid_i2_srtm(name=''):
    from contrib.demUtils.Correct_geoid_i2_srtm import Correct_geoid_i2_srtm
    return Correct_geoid_i2_srtm(name=name)
def getFactoriesInfo():
    return  {'DemStitcher':
                     {'args':
                           {
                            'type':{'value':['version2','version3'],'type':'str','optional':True,'default':'version3'}
                            },
                     'factory':'createDemStitcher'                     
                     },
             'SWBDStitcher':
                     {
                     'factory':'createSWDBStitcher'                     
                     },
              'Correct_geoid_i2_srtm':
                     {
                     'factory':'createCorrect_geoid_i2_srtm'                     
                     }
              }