#!/usr/bin/env python3 


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2016, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: David Bekaert
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




import sys
import osgeo
from osgeo import gdal
import os

# take priority for the vrt as the vrt has a no-data string in it.
file_in =sys.argv[1]
filename, file_extension = os.path.splitext(file_in)
if file_extension != '.vrt':
    vrt_str = ''
    if os.path.isfile(file_in + '.vrt'):
        vrt_str = '.vrt'
file_in = os.path.abspath(sys.argv[1] + vrt_str)
dataset_avg = gdal.Open(file_in,gdal.GA_ReadOnly)
stats =   dataset_avg.GetRasterBand(1).GetStatistics(0,1)
mean= stats[2]
dataset_avg = None

print(mean)




