#!/usr/bin/env python3

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2013, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Eric Gurrola
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




import collections

Tag = collections.namedtuple('Tag', 'version svn_revision yyyymmdd')

releases = (Tag('1.0.0',   '739', '20120814'),
            Tag('1.5.0',  '1180', '20131018'),
            Tag('1.5.01', '1191', '20131028'),
            Tag('2.0.0',  '1554', '20140724'),
            Tag('2.0.0_201409',  '1612', '20140918'),
            Tag('2.0.0_201410',  '1651', '20141103'),
            Tag('2.0.0_201505',  '1733', '20150504'),
            Tag('2.0.0_201506',  '1783', '20150619'),
            Tag('2.0.0_201511',  '1917', '20151123'),
            Tag('2.0.0_201512',  '1931', '20151221'),
            Tag('2.0.0_201604',  '2047', '20160426'),
            Tag('2.0.0_201604_dempatch', '2118:2047', '20160727'),
            Tag('2.0.0_201609',  '2143', '20160903'),
            Tag('2.0.0_20160906',  '2145', '20160906'),
            Tag('2.0.0_20160908',  '2150', '20160908'),
            Tag('2.0.0_20160912',  '2153', '20160912'),
            Tag('2.0.0_20170403',  '2256', '20170403'),
            Tag('2.1.0',  '2366', '20170806'),
            Tag('2.2.0',  '2497', '20180714'))


release_version = releases[-1].version
release_svn_revision = releases[-1].svn_revision
release_date = releases[-1].yyyymmdd
